export declare class TrimmingMaster {
    /**
     * Removes specified characters from the start of the string, or whitespace if none is specified.
     *
     * @example
     * TrimmingMaster.trimStart('   Hello', ' '); // 'Hello'
     *
     * @param input The input string.
     * @param chars Optional characters to trim. Defaults to whitespace.
     * @returns The modified string.
     */
    static trimStart(input: string, chars?: string): string;
    /**
     * Removes specified characters from the end of the string, or whitespace if none is specified.
     *
     * @example
     * TrimmingMaster.trimEnd('Hello   ', ' '); // 'Hello'
     *
     * @param input The input string.
     * @param chars Optional characters to trim. Defaults to whitespace.
     * @returns The modified string.
     */
    static trimEnd(input: string, chars?: string): string;
    /**
     * Collapses multiple spaces into a single space.
     *
     * @example
     * TrimmingMaster.collapseWhitespace('Hello   World! '); // 'Hello World!'
     *
     * @param input The input string.
     * @returns The string with collapsed whitespace.
     */
    static collapseWhitespace(input: string): string;
}
